﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingView
@{
    var noOfDaysRemaining = @Model.NoOfDaysCanStay - @Model.NoOfDaySpent;
}

<style>
    input[required] {
        border: 1px solid red;
    }
</style>

@section PAGETITLE{
    Owner Room Booking Edit
}
<div class="row justify-content-center ">
    <div class="card col-12">
        <div class="card-body">
            <div class="row">
                <div class="col-lg-4 mr-5">
                    <img src="~/Content/img/logo.png" alt="Heritage Hotel" style="width: 128px; height: 128px" />
                </div>
                <div class="col-lg-13 ml-5">
                    <h3 class="text-center">Best Western Plus Heritage</h3>
                    <h5 class="text-center">Kolatoli Circle</h5>
                    <h5 class="text-center">Cox's Bazar-4700, Bangladesh</h5>
                    <h5 class="text-center">Tel 1: +88-0088-034152611, Tel 2: +88-0088-034152618,</h5>
                    <h5 class="text-center">Email: reservation@bwpheritagehotel.com</h5>
                    <h5 class="text-center">Website: www.bwpheritagehotel.com</h5>
                </div>
            </div>

            @using (Html.BeginForm("OwnerRoomBookingEdit", "Booking", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                <div>
                    <h4>
                        Guest Details
                    </h4>
                </div>
                <div class="form-group row mb-3">
                </div>
                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Main Guest</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.GuestNameMain, new { @class = "form-control" })
                    </div>

                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Main Guest Address</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextAreaFor(m => m.GuestAddress, new { @class = "form-control", rows = "1" })
                    </div>

                </div>

                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Guest Mobile No.</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.GuestMobile, new { @class = "form-control" })
                    </div>
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Guest Email</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" title="Relation with Slot Owner">Relationship</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.DropDownListFor(m => m.Relation, new SelectList(Model.RelationEnumList), new { @class = "form-control", })
                    </div>
                </div>

                <div class="form-group row mb-3">
                </div>
                <div>
                    <h4>
                        Booking Details
                    </h4>
                </div>
                <div class="form-group row mb-3">
                </div>
                <div class="form-group row mb-3">

                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Booking No</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.BookingToken, new { @class = "form-control", @required = "required" })
                    </div>

                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Booking Date</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @{
                            var ApplicationDate = Convert.ToDateTime(Model.ApplicationDateString);
                        }
                        @{
                            var applicationdate = ApplicationDate.ToString("dd-MMM-yyyy");
                        }
                        <input class="form-control" type="text" readonly="readonly" value="@applicationdate" />
                    </div>

                </div>

                <div class="form-group row mb-3">

                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Owner Has Checked In or Not</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.DropDownListFor(m => m.HasStayedOrNot, new SelectList(new List<string> { "No", "Yes" }), new { @class = "form-control" })
                    </div>

                </div>


                <div class="form-group row mb-3">
                </div>
                <div>
                    <h4>
                        Room Details
                    </h4>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Room Type</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.Roomtype, new { @class = "form-control" })
                    </div>
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">No of Room Requested</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.NoOfRoomRequested, new { @class = "form-control", type = "number", value = "1", @readonly = "readonly" })
                    </div>
                </div>

                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Room No</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.PreferredRoomNo, new { @class = "form-control" })
                    </div>
                </div>


                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Start Date Requested</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.Startdate, "{0:dd/MM/yyyy}", new { @class = "form-control", @readonly = "readonly" })
                    </div>
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">End Date Requested</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.Enddate, "{0:dd/MM/yyyy}", new { @class = "form-control", @readonly = "readonly" })
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Actual CheckIn Date</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.CheckInDate, "{0:yyyy-MM-dd}", new { @class = "form-control", placeholder = "", type = "date", @required = "required" })
                    </div>
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Actual CheckOut Date</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.CheckOutDate, "{0:yyyy-MM-dd}", new { @class = "form-control", placeholder = "", type = "date", @required = "required" })
                    </div>
                </div>


                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Nights</label>
                    @{
                        var nights = Convert.ToDateTime(Model.CheckOutDate) - Convert.ToDateTime(Model.CheckInDate);
                    }
                    <div class="col-sm-3 col-lg-3  col-md-3">
                        <input class="form-control" type="text" readonly="ff" value="@nights.TotalDays" />
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Adult</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.NoOfAdult, new { @class = "form-control", placeholder = "", type = "number" })
                    </div>
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Child</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.NoOfChild, new { @class = "form-control", placeholder = "", type = "number" })
                    </div>

                </div>
                <div class="form-group row mb-3">
                </div>


                @Html.HiddenFor(m => m.IsRoomBookingTokenExists, new { @id = "IsRoomBookingTokenExists" })
                @Html.HiddenFor(m => m.IsBookingCompleted, new { @id = "IsBookingComplete" })
                @Html.HiddenFor(m => m.OwnerRoomBookingId, new { @id = "OwnerRoomBookingId" })
                @Html.HiddenFor(m => m.OBOwnerId, new { @id = "OBOwnerId" })
                @Html.HiddenFor(m => m.SlotId, new { @SlotId = "SlotId" })
                ;

                <div id="printing-test">
                    <button type="submit" name="submitBookingForm" class="btn btn-info p-2 mr-auto" id="submitBookingForm" value=" Submit ">
                        Submit
                    </button>
                    <button type="button" name="goBack" class="btn btn-danger p-2 mr-auto" id="goBack" onclick="location.href = '@Url.Action("OwnerRoomBookingManagement", "Booking")'">
                        Go Back
                    </button>
                </div>

            }
        </div>
        <div class="card-footer">
            <strong>Room Booking Form of <span style="color: blue">@Model.SlotId</span> Slot Owner. No. of Days He/She Can Stay at hotel: @Model.NoOfDaysCanStay. No. of Days Spent at hotel: @Model.NoOfDaySpent. No. of Days Remaining at hotel: @noOfDaysRemaining</strong>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#newItem, #editItem, #saveItem, #deleteItem, #reportItem").remove();

        $('#printItem').click(function () {

            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });

    });
</script>